BeatingToADifferentRobot BeatingToADifferentRobot - 14 days ago 6
Python Question

Dev_appserver.py error when trying to deploy to Google AppEngine

I'm trying to deploy an example dart server using Google AppEngine. However when I run this python script (with the latest python version installed 3.5)


dev_appserver.py


I've also tried


dev_appserver.py --custom_entrypoint "dart bin/server.dart {port}" app.yaml


I get this error:

Traceback (most recent call last):
File "C:\Users\jkrie\AppData\Local\Google\Cloud SDK\google-cloud- sdk\bin\dev_appserver.py", line 11, in <module>
import bootstrapping.bootstrapping as bootstrapping
File "C:\Users\jkrie\AppData\Local\Google\Cloud SDK\google-cloud-sdk\bin\bootstrapping\bootstrapping.py", line 9, in <module>
import setup



ImportError: No module named 'setup'


I've also installed setuptools. I have to assume there is something wrong with my Google Cloud SDK install, but I really don't know what. Is python 3.5 too new and I need to try an older version?

Answer

I get the same error when using Python 3.4.3. It works fine with Python 2.7.6.

Comments